package com.pcloud.book.weixinclock.dao.impl;

import com.pcloud.book.weixinclock.dao.WeixinClockPraiseDao;
import com.pcloud.book.weixinclock.dto.GetByMemberAndUserDto;
import com.pcloud.book.weixinclock.dto.ListWeixinClockRankDto;
import com.pcloud.book.weixinclock.entity.WeixinClockPraise;
import com.pcloud.common.core.dao.BaseDaoImpl;

import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Describe: 打卡点赞dao实现类
 * @Author: zhangdongwei
 * @Date: Create on 17:20 2019/10/22 0022
 */
@Repository("weixinClockPraise")
public class WeixinClockPraiseDaoImpl extends BaseDaoImpl<WeixinClockPraise> implements WeixinClockPraiseDao {
    @Override
    public WeixinClockPraise getByMemberAndUser(GetByMemberAndUserDto dto){
        return super.sqlSessionTemplate.selectOne(getStatement("getByMemberAndUser"), dto);
    }

    @Override
    public List<WeixinClockPraise> getMemberPraise(ListWeixinClockRankDto dto) {
        return super.sqlSessionTemplate.selectList(getStatement("getMemberPraise"), dto);
    }
}
